%define oname kio-extras

Summary:	Plasma 5 extra kio slaves module
Name:		plasma5-%{oname}
Version:	16.04.3
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/applications/%{version}/src/%{oname}-%{version}.tar.xz
Patch0:		kio-extras-5.1.0.1-link-tirpc-for-nfs.patch
Patch1:		kio-extras-15.08.0-version.patch
BuildRequires:	extra-cmake-modules
BuildRequires:	jpeg-devel
BuildRequires:	kf5activities-devel
BuildRequires:	kf5archive-devel
BuildRequires:	kf5bookmarks-devel
BuildRequires:	kf5config-devel
BuildRequires:	kf5configwidgets-devel
BuildRequires:	kf5coreaddons-devel
BuildRequires:	kf5dbusaddons-devel
BuildRequires:	kf5doctools-devel
BuildRequires:	kf5dnssd-devel
BuildRequires:	kf5guiaddons-devel
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5iconthemes-devel
BuildRequires:	kf5kdelibs4support-devel
BuildRequires:	kf5khtml-devel
BuildRequires:	kf5kio-devel
BuildRequires:	kf5pty-devel
BuildRequires:	kf5solid-devel
BuildRequires:	openslp-devel
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libmtp)
BuildRequires:	pkgconfig(libssh)
BuildRequires:	pkgconfig(libtirpc)
BuildRequires:	pkgconfig(OpenEXR)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Sql)
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(shared-mime-info)
BuildRequires:	pkgconfig(smbclient)
Requires:	plasma5-kio-applications
Requires:	plasma5-kio-desktop
Requires:	plasma5-kio-remote

%description
Plasma 5 extra kio slaves module.

%files -f %{name}.lang
%{_kde5_datadir}/config.kcfg/jpegcreatorsettings5.kcfg
%{_kde5_datadir}/kio_bookmarks/
%{_kde5_datadir}/kio_docfilter/
%{_kde5_datadir}/kio_info/
%{_kde5_datadir}/konqsidebartng/virtual_folders/remote/virtualfolder_network.desktop
%{_kde5_datadir}/konqueror/dirtree/remote/mtp-network.desktop
%{_kde5_datadir}/konqueror/dirtree/remote/smb-network.desktop
%{_kde5_datadir}/remoteview/mtp-network.desktop
%{_kde5_datadir}/remoteview/network.desktop
%{_kde5_datadir}/remoteview/smb-network.desktop
%{_kde5_datadir}/solid/actions/solid_mtp.desktop
%{_kde5_plugindir}/kded/networkwatcher.so
%{_kde5_plugindir}/kded/recentdocumentsnotifier.so
%{_kde5_plugindir}/kio/archive.so
%{_kde5_plugindir}/kio/bookmarks.so
%{_kde5_plugindir}/kio/filenamesearch.so
%{_kde5_plugindir}/kio/filter.so
%{_kde5_plugindir}/kio/fish.so
%{_kde5_plugindir}/kio/info.so
%{_kde5_plugindir}/kio/man.so
%{_kde5_plugindir}/kio/mtp.so
%{_kde5_plugindir}/kio/network.so
%{_kde5_plugindir}/kio/nfs.so
%{_kde5_plugindir}/kio/recentdocuments.so
%{_kde5_plugindir}/kio/settings.so
%{_kde5_plugindir}/kio/sftp.so
%{_kde5_plugindir}/kio/smb.so
%{_kde5_plugindir}/kio/thumbnail.so
%{_kde5_services}/about.protocol
%{_kde5_services}/activities.protocol
%{_kde5_services}/ar.protocol
%{_kde5_services}/bookmarks.protocol
%{_kde5_services}/bzip.protocol
%{_kde5_services}/bzip2.protocol
%{_kde5_services}/filenamesearch.protocol
%{_kde5_services}/fish.protocol
%{_kde5_services}/gzip.protocol
%{_kde5_services}/info.protocol
%{_kde5_services}/lzma.protocol
%{_kde5_services}/man.protocol
%{_kde5_services}/mtp.protocol
%{_kde5_services}/network.protocol
%{_kde5_services}/nfs.protocol
%{_kde5_services}/recentdocuments.protocol
%{_kde5_services}/settings.protocol
%{_kde5_services}/sftp.protocol
%{_kde5_services}/smb.protocol
%{_kde5_services}/tar.protocol
%{_kde5_services}/thumbnail.protocol
%{_kde5_services}/xz.protocol
%{_kde5_services}/zip.protocol
%{_kde5_services}/comicbookthumbnail.desktop
%{_kde5_services}/directorythumbnail.desktop
%{_kde5_services}/djvuthumbnail.desktop
%{_kde5_services}/exrthumbnail.desktop
%{_kde5_services}/imagethumbnail.desktop
%{_kde5_services}/jpegthumbnail.desktop
%{_kde5_services}/kactivitymanagerd_fileitem_linking_plugin.desktop
%{_kde5_services}/kmanpart.desktop
%{_kde5_services}/kraorathumbnail.desktop
%{_kde5_services}/svgthumbnail.desktop
%{_kde5_services}/textthumbnail.desktop
%{_kde5_servicetypes}/thumbcreator.desktop
%{_qt5_plugindir}/comicbookthumbnail.so
%{_qt5_plugindir}/djvuthumbnail.so
%{_qt5_plugindir}/exrthumbnail.so
%{_qt5_plugindir}/imagethumbnail.so
%{_qt5_plugindir}/jpegthumbnail.so
%{_qt5_plugindir}/kactivitymanagerd_fileitem_linking_plugin.so
%{_qt5_plugindir}/kfileaudiopreview.so
%{_qt5_plugindir}/kio_about.so
%{_qt5_plugindir}/kio_activities.so
%{_qt5_plugindir}/kritathumbnail.so
%{_qt5_plugindir}/libkmanpart.so
%{_qt5_plugindir}/svgthumbnail.so
%{_qt5_plugindir}/textthumbnail.so
%{_datadir}/mime/packages/kf5_network.xml

#----------------------------------------------------------------------------

%define molletnetwork5_major 5
%define libmolletnetwork5 %mklibname molletnetwork5_ %{molletnetwork5_major}

%package -n %{libmolletnetwork5}
Summary:	Plasma 5 extra kio slaves shared library
Group:		System/Libraries

%description -n %{libmolletnetwork5}
Plasma 5 extra kio slaves shared library.

%files -n %{libmolletnetwork5}
%{_kde5_libdir}/libmolletnetwork5.so.%{molletnetwork5_major}
%{_kde5_libdir}/libmolletnetwork5.so.%{version}

#----------------------------------------------------------------------------

%define devplasma5_kio_extras %mklibname plasma5-kio-extras -d

%package -n %{devplasma5_kio_extras}
Summary:	Development files for Plasma 5 extra kio slaves module
Group:		Development/KDE and Qt
Provides:	%{name}-devel = %{EVRD}

%description -n %{devplasma5_kio_extras}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devplasma5_kio_extras}
%{_datadir}/dbus-1/interfaces/kf5_org.kde.network.kioslavenotifier.xml

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1

%build
%cmake_kde5_kf5locales
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-html --with-kde
%kf5locales_fix %{name}.lang

%changelog

* Wed Jul 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.3-1
- (68a9a51) Adjust version patch
- (Andrey Bondrov: c80cbc0) New version 16.04.3

* Mon Jun 20 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 16.04.2-1
- (11bd608) Build requires pkgconfig(Qt5Sql)
- (Andrey Bondrov: bb43801) Build requires kf5activities-devel
- (Andrey Bondrov: bb43801) Add new files
- (Andrey Bondrov: 5bfddfa) Ajust version patch to match current version
- (Andrey Bondrov: cf751ef) New version 16.04.2

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.3-1
- (a49680c) New version 15.12.3

* Mon Mar 21 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.2-1
- (b627254) New version 15.12.3
- (Andrey Bondrov: 6ddf174) Update version patch
- (Andrey Bondrov: 89711e9) New version 15.12.2

* Wed Jan 13 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.1-1
- (8526727) New version 15.12.1

* Sat Jan 02 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.12.0-1
- (577a3a4) Move networkwatcher and recentdocumentsnotifier kded plugins to new location
- (Andrey Bondrov: c4d224b) Update version patch
- (Andrey Bondrov: dad7441) New version 15.12.0

* Mon Nov 23 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.3-1
- (5c3bbd7) Fix soversion in patch
- (Andrey Bondrov: d104255) New version 15.08.3

* Thu Oct 15 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.2-1
- (4fae7fb) Set proper version
- (Andrey Bondrov: 3584ddb) New version 15.08.2

* Wed Sep 16 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.1-1
- (f242c81) Bump version in patch to match package version
- (Andrey Bondrov: 3d8bebd) New version 15.08.1

* Thu Sep 03 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.0-3
- (75819ed) Requires plasma5-kio-desktop

* Thu Aug 20 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.0-2
- (5035ec8) Bump release

* Thu Aug 20 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 15.08.0-1
- (8c7bfc5) New version 15.08.0
- (8c7bfc5) kio desktop was moved to plasma5-workspace

* Thu Aug 13 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-2
- (9e06c60) MassBuild#782: Increase release tag

* Tue Jun 30 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.2-1
- (24ec5a0) New version 5.3.2

* Wed Jun 17 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.1-2
- (32d8d00) Require plasma5-kio-applications and plasma5-kio-remote (split from plasma5-workspace)

* Wed May 27 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.1-1
- (a89aa57) New version 5.3.1

* Wed Apr 29 2015 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.3.0-1
- (b86a9e8) libmolletnetwork is now libmolletnetwork5
- (Andrey Bondrov: 794a7f2) Add kio about module
- (Andrey Bondrov: 16c8d4b) Drop avoid-kde4-conflicts patch (merged upstream)


